VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Damier extensible"
   ClientHeight    =   7095
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7170
   Icon            =   "Damier Extensible.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   7095
   ScaleWidth      =   7170
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Bt 
      BackColor       =   &H80000009&
      Height          =   615
      Index           =   0
      Left            =   720
      Style           =   1  'Graphical
      TabIndex        =   2
      Top             =   720
      Width           =   615
   End
   Begin VB.HScrollBar HScroll1 
      Height          =   255
      Left            =   720
      Max             =   10
      Min             =   1
      TabIndex        =   1
      Top             =   240
      Value           =   1
      Width           =   6135
   End
   Begin VB.VScrollBar VScroll1 
      Height          =   6135
      Left            =   240
      Max             =   10
      Min             =   1
      TabIndex        =   0
      Top             =   720
      Value           =   1
      Width           =   255
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' Stratgie gnrale : plutt que de crer ou de dtruire,
'  chaque rajustement du damier, uniquement les cases supplmentaires
' ou manquantes, on dcide d'utiliser la mthode barbare :
' on efface tout et on recommence.
' Pour cela il faut stocker le nombre de cases prsentes
' en ligne et en colonne

' Par ailleurs, afin de ne pas rpter le code,
' on effectue les traitements dans des sous-procdures spcialises

Dim H, V As Integer



Private Sub Form_Load()
H = 1
V = 1
Bt(0).BackColor = vbWhite
End Sub

Private Sub HScroll1_Change()
   Call Efface
   Call Cration
End Sub

Private Sub Label1_Click()
End Sub

Private Sub VScroll1_Change()
   Call Efface
   Call Cration
End Sub

Private Sub Efface()
   For i = 1 To (H * V) - 1
      Unload Bt(i)
   Next i
End Sub

Private Sub Cration()
   H = HScroll1.Value
   V = VScroll1.Value
   For i = 1 To (H * V) - 1
      Load Bt(i)
      ' si on change de ligne...
      If i Mod H = 0 Then
         Bt(i).Top = Bt(i - 1).Top + 615
         Bt(i).Left = 720
         If Bt(i - H).BackColor = vbWhite Then
            Bt(i).BackColor = vbBlack
         Else
            Bt(i).BackColor = vbWhite
         End If
      ' sinon
      Else
         Bt(i).Top = Bt(i - 1).Top
         Bt(i).Left = Bt(i - 1).Left + 615
         If Bt(i - 1).BackColor = vbWhite Then
            Bt(i).BackColor = vbBlack
         Else
            Bt(i).BackColor = vbWhite
         End If
      End If
      Bt(i).Visible = True
  Next i
End Sub

Private Sub Bt_Click(Index As Integer)
   toto = MsgBox("Ceci est la case n" & Index + 1, vbInformation, "Clic !")
End Sub
